ALTER TABLE PARCMPSUP ADD IDUTLCONFRECAF  VARCHAR2(1) DEFAULT 'N' NOT NULL
	CONSTRAINT CKC_IDUTLCONFRECAF_PARCMPS  CHECK (IDUTLCONFRECAF  IN ('S','N'))
/  

ALTER TABLE PARASUPRI DROP COLUMN IDUTLCONFRECAF 
/

ALTER TABLE AUTOFORNE ADD IDAFCATALOGO  VARCHAR2(1) NULL 
	CONSTRAINT CKC_IDAFCATALOGO CHECK (IDAFCATALOGO IS NULL OR (IDAFCATALOGO IN ('S','N')))
/

ALTER TABLE FORNECEDOR ADD DSFOTOFORNFILESERV VARCHAR2(4000)
/

CREATE TABLE CARTSUPPLY (
   NRCARTSUPPLY    VARCHAR2(10)  NOT NULL, 
   CDFORNECED     VARCHAR2(21)  NOT NULL,
   CDPRODUTO      VARCHAR2(10)  NOT NULL,
   QTPRODUTO      FLOAT,
   NRCOLEPRECO    VARCHAR2(10), 
   CDFILIAL       VARCHAR2(4),
   CDOPERADOR     VARCHAR2(12), 
   IDSITUCOMPRA   VARCHAR2(1) 
	CONSTRAINT CKC_IDSITUCOMPRA_CARTSUPPLY CHECK (IDSITUCOMPRA IN ('A','E')),
   NRORG          NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO        VARCHAR2(1) DEFAULT 'S' NOT NULL 
	CONSTRAINT CKC_IDATIVO_CARTSUPPLY CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO     DATE NULL,
   DTULTATU       DATE NULL,
   NRORGINCLUSAO  NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU    NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERULTATU   VARCHAR2(12) DEFAULT '1',
   CONSTRAINT PK_CARTSUPPLY PRIMARY KEY ( NRCARTSUPPLY, CDFORNECED, CDPRODUTO)
)
/

CREATE TABLE CATEGORIASUPPLY (
   CDCATEGORIA    VARCHAR2 (3) NOT NULL,
   NMCATEGORIA    VARCHAR2(50) NOT NULL, 
   CDDESPPREV     VARCHAR2(3)  NOT NULL,
   NRORG          NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
   IDATIVO        VARCHAR2(1) DEFAULT 'S' NOT NULL 
	CONSTRAINT CKC_IDATIVO_CATEGORIASUPPLY CHECK (IDATIVO IN ('S','N')),
   DTINCLUSAO     DATE NULL,
   DTULTATU       DATE NULL,
   NRORGINCLUSAO  NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERINCLUSAO VARCHAR2(12) DEFAULT '1' NULL,
   NRORGULTATU    NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
   CDOPERULTATU   VARCHAR2(12) DEFAULT '1',
   CONSTRAINT PK_CATEGORIASUPPLY PRIMARY KEY (CDCATEGORIA)
)
/

CREATE TABLE SUBCATEGSUPPLY (
   CDSUBCATEGORIA VARCHAR2 (3) NOT NULL,
   NMSUBCATEGORIA VARCHAR2(50) NOT NULL, 
   CDCATEGORIA VARCHAR2(3) NOT NULL,
    NRORG 				  NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
	  IDATIVO 			  VARCHAR2(1) DEFAULT 'S' NOT NULL 
		CONSTRAINT CKC_IDATIVO_SUBCATEGSUPPLY CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO 			DATE 				NULL,
    DTULTATU 			  DATE 			NULL,
    NRORGINCLUSAO 	NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
    CDOPERINCLUSAO 	VARCHAR2(12)	DEFAULT '1' NULL,
    NRORGULTATU 		NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
    CDOPERULTATU 		VARCHAR2(12) 	DEFAULT '1',
    CONSTRAINT PK_SUBCATEGSUPPLY PRIMARY KEY (CDSUBCATEGORIA, CDCATEGORIA)
)
/

CREATE TABLE PRODSUPPLY
(
    CDCATEGORIA     VARCHAR2(3)  NOT NULL,
    CDSUBCATEGORIA  VARCHAR2(3)  NOT NULL,
    CDFORNECED      VARCHAR2(21) NOT NULL,
    NRCOLEPRECO     VARCHAR2(10) NOT NULL,
    CDPRODUTO       VARCHAR2(10) NOT NULL,
    NRORG           NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    IDATIVO         VARCHAR2(1) DEFAULT 'S' NOT NULL 
		CONSTRAINT CKC_IDATIVO_PRODSUPPLY CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO 	    DATE NULL,
    DTULTATU        DATE NULL,
    NRORGINCLUSAO   NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
    CDOPERINCLUSAO  VARCHAR2(12) DEFAULT '1' NULL,
    NRORGULTATU     NUMBER DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg')  NULL,
    CDOPERULTATU    VARCHAR2(12) DEFAULT '1',
    CONSTRAINT PK_PRODSUPPLY PRIMARY KEY (CDCATEGORIA, CDSUBCATEGORIA, CDFORNECED, NRCOLEPRECO, CDPRODUTO)
)
/

UPDATE INDICADORTF
   SET DSINDICADOR = 'Acompanhamento de Aprovacao de AF'
 WHERE NRINDICADORTF = 28
   AND NRPAINEL = 33
/
UPDATE INDICADORTF
   SET DSINDICADOR = 'Entrega de AF - Dia Anterior'
 WHERE NRINDICADORTF = 29
   AND NRPAINEL = 33
/

UPDATE INDICADORTF
   SET DSINDICADOR = 'Entrega de AF - Ultimos 7 Dias'
 WHERE NRINDICADORTF = 30
   AND NRPAINEL = 33
/

UPDATE INDICADORTF
   SET DSINDICADOR = 'Entrega de AF - Mes Atual (Geral)'
 WHERE NRINDICADORTF = 31
   AND NRPAINEL = 33
/

UPDATE INDICADORTF
   SET DSINDICADOR = 'Entrega de AF - Ultimos 12 Meses'
 WHERE NRINDICADORTF = 32
   AND NRPAINEL = 33
/


INSERT INTO INDICADORTF (NRINDICADORTF, DSINDICADOR, NRPAINEL)
VALUES (33, 'Entrega de AF - Mes Atual (Comprador)', 33)
/

INSERT INTO INDICADORTF (NRINDICADORTF, DSINDICADOR, NRPAINEL)
VALUES (34, 'AFs Confirmadas pelo Fornecedor', 33)
/

INSERT INTO INDICADORTF (NRINDICADORTF, DSINDICADOR, NRPAINEL)
VALUES (35, 'Media de Atraso do Lancamento de NF', 33)
/